# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`doas`](#doas): configure doas

### Defined types

* [`doas::entry`](#doas--entry): Create an entry in the doas configfile

## Classes

### <a name="doas"></a>`doas`

define doas config on OpenBSD

#### Examples

##### 

```puppet
include doas
```

#### Parameters

The following parameters are available in the `doas` class:

* [`configfile`](#-doas--configfile)
* [`entries`](#-doas--entries)
* [`owner`](#-doas--owner)
* [`group`](#-doas--group)
* [`mode`](#-doas--mode)

##### <a name="-doas--configfile"></a>`configfile`

Data type: `String`

the configuration file to put the entries in

Default value: `'/etc/doas.conf'`

##### <a name="-doas--entries"></a>`entries`

Data type: `Hash`

entries to append to the doas.conf file
this parameter has lookup_options set to hash !!

Default value: `{}`

##### <a name="-doas--owner"></a>`owner`

Data type: `String`

owner of $configfile

Default value: `'root'`

##### <a name="-doas--group"></a>`group`

Data type: `String`

group of $configfile

Default value: `'wheel'`

##### <a name="-doas--mode"></a>`mode`

Data type: `String`

mode of $configfile

Default value: `'0555'`

## Defined types

### <a name="doas--entry"></a>`doas::entry`

Create an entry in the doas configfile

#### Parameters

The following parameters are available in the `doas::entry` defined type:

* [`order`](#-doas--entry--order)
* [`action`](#-doas--entry--action)
* [`options`](#-doas--entry--options)
* [`identity`](#-doas--entry--identity)
* [`as_target`](#-doas--entry--as_target)
* [`command`](#-doas--entry--command)
* [`target`](#-doas--entry--target)
* [`setenvs`](#-doas--entry--setenvs)
* [`args`](#-doas--entry--args)

##### <a name="-doas--entry--order"></a>`order`

Data type: `String`

order to append

Default value: `$title`

##### <a name="-doas--entry--action"></a>`action`

Data type: `Enum['permit','deny']`

The action to be taken if this rule matches

Default value: `'permit'`

##### <a name="-doas--entry--options"></a>`options`

Data type: `Array`

Array of options

Default value: `[]`

##### <a name="-doas--entry--identity"></a>`identity`

Data type: `String`

The username to match.

##### <a name="-doas--entry--as_target"></a>`as_target`

Data type: `String`

The target user the running user is allowed to run the
command as.

##### <a name="-doas--entry--command"></a>`command`

Data type: `String`

the command to run

##### <a name="-doas--entry--target"></a>`target`

Data type: `String`

target to  append the configuration

##### <a name="-doas--entry--setenvs"></a>`setenvs`

Data type: `Array`

environment vars to set

Default value: `[]`

##### <a name="-doas--entry--args"></a>`args`

Data type: `Array`

needed arguments
Hint: to allow command only without arguments, set to ['']!
the default allows any arguments

Default value: `[]`

